{% extends 'base.html' %}
{% load static %}
{% block title %}Post Pitic{% endblock %}
{#<link rel="stylesheet" type="text/css" href="{% static '#' %}">#}

{% block title_page %}Post Pitic{% endblock %}
{% block body %}

    <div>
        <header style="text-align: center;"><h2 style="font-family: Storybook,sans-serif;color: red">Post
            Pitici</h2>
        </header>
        <div>
            <style>
                .card-horizontal {
                    display: flex;
                    flex: 1 1 auto;
                }
            </style>
            <div class="container-fluid">
                <div class="row">
                    <div class="col-12 mt-3">
                        <div class="card" style="border: 8px solid red; border-radius: 20px">
                            <div class="card-horizontal" style="background-color: #1d1919">
                                <div class="img-square-wrapper">
                                    {% if post.pic.url is not null %}
                                        <div style="width: 400px; height: 200px">
                                            <img style="height: 100%; width: 100%" src="{{ post.pic.url }}"
                                                 alt="Image post">
                                        </div>
                                    {% endif %}
                                </div>
                                <div class="card-body">
                                    <h3 class="card-title"
                                        style="color: red;font-family: Storybook,sans-serif">{{ post.title }}</h3>
                                    <p class="card-text" style="color: navajowhite"> {{ post.article }}</p>
                                    <h4 style="color: navajowhite"><strong style="color: red">Author
                                        >>></strong> {{ post.user_name }}</h4>
                                    <div align="right">
                                        <p style="color: navajowhite"><strong style="color: red">Date of
                                            post
                                            >>></strong> {{ post.pub_date}}</p></div>
                                </div>
                            </div>
                            <div class="card-footer" style="background-color: #7f7f7f">
                                <small style="color: navajowhite"><b>Tags: {{ post.tags }}</b></small>
                                <div class="post">
                                    {% if post.published_date %}
                                        <div class="date">
                                            {{ post.published_date }}
                                        </div>
                                    {% endif %}
                                    <a class="btn btn-default" href="{% url 'post_pitic_edit' pk=post.pk %}"
                                       style="border-radius: 30px; background-color: yellow; color: red;
                                        text-shadow: 1px 1px blue;float: right; font-size: 20px"><span
                                            class="glyphicon glyphicon-pencil"></span>Edit</a>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
{% endblock %}